Skip to main content
GET
/
customer-invoices
/
{invoiceId}
Get Customer Invoice
curl --request GET \
  --url https://api.mijnklantportaal.nl/v1/customer-invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "inv_abc12345def678",
  "customerId": "cst_abc12345def678",
  "invoiceNumber": "2024-001",
  "issuedAt": "2024-04-29",
  "currency": "EUR",
  "amount": "12.95",
  "paidAt": "2024-05-28T21:00:00+02:00",
  "createdAt": "2024-04-29T21:00:00+02:00",
  "links": {
    "customer": {
      "href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678",
      "type": "application/json"
    },
    "onlinePaymentLink": {
      "href": "https://portal.mijnklantportaal.nl/public-invoice/inv_abc123/pay/123-abc",
      "type": "text/html"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoiceId
string
required

ID of the Customer Invoice to get

Response

Getting the requested Customer Invoice

Customer Invoice

id
string

ID of the invoice, always starting with inv_.

Example:

"inv_abc12345def678"

customerId
string

ID of the customer which the invoice belongs to.

Example:

"cst_abc12345def678"

invoiceNumber
string

Number of the invoice as string.

Example:

"2024-001"

issuedAt
string

Issue date of the invoice. Formatted as YYYY-mm-dd.

Example:

"2024-04-29"

currency
string

Currency of the invoice amount.

Example:

"EUR"

amount
string

Invoice amount as string.

Example:

"12.95"

paidAt
string | null

Date the invoice is marked as paid. Written in ATOM format.

Example:

"2024-05-28T21:00:00+02:00"

createdAt
string

Date and time when the invoice was added to MijnKlantportaal. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"